Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Interface XmlRpcHttpClientConfig

All Superinterfaces:
  XmlRpcConfig, XmlRpcHttpConfig, XmlRpcHttpRequestConfig, XmlRpcRequestConfig, XmlRpcStreamConfig, XmlRpcStreamRequestConfig

All Known Implementing Classes:
  XmlRpcClientConfigImpl

    public interface XmlRpcHttpClientConfig

extends XmlRpcHttpRequestConfig

Extension of `XmlRpcClientConfig` for HTTP based transport. Provides details like server URL, user credentials, and so on.

Field Summary

Fields inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`UTF8_ENCODING`

Method Summary
`java.net.URL` | `getServerURL()` Returns the HTTP servers URL.
`java.lang.String` | `getUserAgent()` Returns the user agent header to use

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcHttpRequestConfig
`getBasicPassword, getBasicUserName, getConnectionTimeout, getReplyTimeout`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamRequestConfig
`isEnabledForExceptions, isGzipCompressing, isGzipRequesting`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcHttpConfig
`getBasicEncoding, isContentLengthOptional`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`getEncoding`

Methods inherited from interface org.apache.xmlrpc.XmlRpcConfig
`getTimeZone, isEnabledForExtensions`

Method Detail

### getServerURL

    java.net.URL getServerURL()

  Returns the HTTP servers URL.

  Returns:
    XML-RPC servers URL; for example, this may be the URL of a servlet

### getUserAgent

    java.lang.String getUserAgent()

  Returns the user agent header to use

  Returns:
    the http user agent header to set when doing xmlrpc requests

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.